IntlCalendar::setFirstDayOfWeek
IntlCalendar::setRepeatedWallTimeOption
IntlCalendar
PHP Manual

# IntlCalendar::setLenient

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::setLenient — Set whether date/time interpretation is to be lenient

### Description

public ReturnType IntlCalendar::setLenient ( string `$isLenient` )

Defines whether the calendar is ‘lenient mode’. In such a mode, some of out-of-bounds values for some fields are accepted, the behavior being similar to that of IntlCalendar::add() (i.e., the value wraps around, carrying into more significant fields each time). If the lenient mode is off, then such values will generate an error.

### Parameters

`isLenient`

  Use `TRUE` to activate the lenient mode; `FALSE` otherwise.

### Return Values

Returns `TRUE` on success. Failure can only happen due to invalid parameters.

### Examples

See the example in IntlCalendar::isLenient().

IntlCalendar::setFirstDayOfWeek
IntlCalendar::setRepeatedWallTimeOption
IntlCalendar
PHP Manual